## debmirror 2.16ubuntu1

=== Makefile ===
all: debmirror.1

debmirror.1:
	pod2man debmirror >$@

clean:
	rm -f debmirror.1

## debmirror 2.4.4ubuntu2

=== debian/changelog ===
debmirror (1:2.4.4ubuntu2) lucid; urgency=low

  * drop-redundant-rsync.patch: fix index double-increment (LP: #560826)

 -- Steve Beattie <sbeattie@ubuntu.com>  Sun, 11 Apr 2010 10:02:11 -0700

debmirror (1:2.4.4ubuntu1) lucid; urgency=low

  * Merge from debian unstable (LP: #555967).  Remaining changes:
    - debian/{control,rules}: add quilt for patch management.
    - Debian bug 455082:
      - default-settings.patch: change rsync defaults.
      - silence-errors.patch: throw away find errors.
      - functionalize.patch: prepare for batching of non-deb files.
      - drop-redundant-rsync.patch: clean up logic in rsync batching.
      - check_file-return.patch: report why a file needs to sync.
      - command-exit-checking.patch: check exit codes of commands.
    - skip-installer.patch: allow specific releases to be skipped (Debian
      bug 576576).
    - rsync-retries.patch: retry if rsync batch fails connection (Debian
      bug 576577).
  * Dropped rsync Release file batching for now, as it makes merging
    much more difficult.

 -- Kees Cook <kees@ubuntu.com>  Mon, 05 Apr 2010 12:38:24 -0700

debmirror (1:2.4.4) unstable; urgency=low

  * Fix typo in mirror_size. Closes: #575352.
  * Change internal use of dry-run variables so that setting $dry_run in
    the config file actually works. Closes: #569348.

 -- Frans Pop <fjp@debian.org>  Thu, 25 Mar 2010 19:14:12 +0100

debmirror (1:2.4.3) unstable; urgency=low

  * Don't delete Contents and Translation files if mirror cleanup is done
    early. Closes: #568613.

 -- Frans Pop <fjp@debian.org>  Sat, 06 Feb 2010 14:42:36 +0100

debmirror (1:2.4.2) unstable; urgency=low

  * Really allow for Release files without Origin field. Closes: #565593.

 -- Frans Pop <fjp@debian.org>  Sun, 31 Jan 2010 14:21:46 +0100

debmirror (1:2.4.1) unstable; urgency=low

  * Typo fixes in NEWS.Debian file spotted by Geoff Simmons. Closes: #566377.
  * Allow for Release files without Origin field. Closes: #565593.

 -- Frans Pop <fjp@debian.org>  Sun, 24 Jan 2010 07:23:06 +0100

debmirror (1:2.4) unstable; urgency=low

  * The main Debian archive has started to use rsyncable gzip files.
    Use the --rsyncable flag when compressing Packages/Sources files using
    gzip after applying pdiffs to ensure the md5sum of the file matches the
    one in the Release file again. Closes: #560326.
    This change may cause unnecessary download of the gzipped Packages/Sources
    files for other archives that provide pdiffs but don't have rsyncable
    gzipped files; this can be fixed using the new option --gzip-options.
  * Fix mirroring of archives without a Release.gpg file. Closes: #561533.
    Thanks to Loïc Minier for tracing the issue.
  * Allow to specify the local mirror directory in config files.
    Closes: #544141.
  * Add versioned dependency on perl (>= 5.10). Closes: #551878.
  * Improve dependencies on gpgv/gnupg.

 -- Frans Pop <fjp@debian.org>  Sat, 19 Dec 2009 22:21:38 +0100

debmirror (1:2.3.1) unstable; urgency=low

  * Update example configuration (closes: #549955):
    - fix error in variable names for setting D-I dists & arches
    - add example for setting "extra rsync directories"
  * Rename variables so that @dists can be set again in a configuration file.
    Closes: #549952.
  * Enable LWP::ConnCache for the http transfer method. Closes: #395538.
    Thanks to Gregor Herrmann for pointing out the option.

 -- Frans Pop <fjp@debian.org>  Thu, 08 Oct 2009 19:39:41 +0200

debmirror (1:2.3) unstable; urgency=low

  * Support updating Contents files using diff files. This can significantly
    reduce the download size when Contents files change. Closes: #436027.
  * Because of the previous change the option --pdiff has been renamed to
    --diff as 'package diffs' no longer covers its use.
  * Fix mirroring archives without a Release file (--ignore-missing-release).
  * Minor other fixes and improvements.

 -- Frans Pop <fjp@debian.org>  Sat, 03 Oct 2009 13:33:46 +0200

debmirror (1:2.2.1) unstable; urgency=low

  * Only fetch i18n Index files if needed.
  * Fix mirroring D-I images when the archive is also being mirrored for the
    same dist. Closes: #547789.

 -- Frans Pop <fjp@debian.org>  Tue, 22 Sep 2009 18:12:05 +0200

debmirror (1:2.2) unstable; urgency=low

  * Allow to include/exclude specific files belonging to D-I images.
  * Add support for downloading package translation files. Closes: #436030.
  * Move archive size information to a separate file in /usr/share/doc.

 -- Frans Pop <fjp@debian.org>  Sat, 12 Sep 2009 08:59:31 +0200

debmirror (1:2.1.1) unstable; urgency=low

  * Register the trace and lock files only after loading the state cache.

 -- Frans Pop <fjp@debian.org>  Mon, 31 Aug 2009 14:16:47 +0200

debmirror (1:2.1) unstable; urgency=low

  * Fix location of debmirror.conf. Closes: #544139.
  * Don't display download speed if rsync is used. Closes: #422100.
  * Support mirroring specific additional files from specific locations on
    the mirror: trace files, ./doc, ./indices and ./tools. The transfer
    method used for this is always rsync, irrespective of what method is
    specified in the --method option. Closes: #153680, #156564.
  * Ubuntu uses an identical Codename for different suites, so just ignore
    it and use the Suite instead. Closes: #544132.

 -- Frans Pop <fjp@debian.org>  Sat, 29 Aug 2009 18:55:25 +0200

debmirror (1:2.0) unstable; urgency=low

  * Remove duplicated checks of md5sums for Packages/Sources files.
  * Improve performance of parsing Packages/Sources files (by a factor of
    about 30).
  * Revert change in directory removal as otherwise also empty parent
    directories of empty directories no longer get removed.
  * Fix support for mirrors with need extra directories in dist, such as
    security mirrors, which got broken by the suite->codename symlink
    changes. Thanks to Christoph Goehre for reporting the issue and testing
    the fix. Closes: #543775.


=== debian/control ===
Source: debmirror
Section: net
Priority: extra
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Frans Pop <fjp@debian.org>
Build-Depends: debhelper (>= 7.0.50), quilt (>> 0.48-1)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/debmirror/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debmirror/trunk/

Package: debmirror
Architecture: all
Depends: ${misc:Depends}, perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha1-perl, liblockfile-simple-perl, rsync, libcompress-zlib-perl, bzip2, libwww-perl
Recommends: gpgv, patch, ed
Suggests: gnupg
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with quilt $@

override_dh_installman:
	dh_installman debmirror.1

override_dh_clean:
	dh_clean
	rm -f debian/debhelper.log

## debmirror 2.4.5

=== debian/changelog ===
debmirror (1:2.4.5) unstable; urgency=low

  * Drop support for the --adddir option which was obsoleted log ago.
  * Ensure MD5SUMS files for D-I images get updated. Closes: #590667.
    Thanks to Stefan Kisdaroczi for reporting the issue and for the patch.
  * Update archive size information (without Etch as that has been archived).

 -- Frans Pop <fjp@debian.org>  Thu, 05 Aug 2010 16:09:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 7.0.50), quilt (>> 0.48-1)
+Maintainer: Frans Pop <fjp@debian.org>
+Build-Depends: debhelper (>= 7.0.50)
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/debmirror/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debmirror/trunk/

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh --with quilt $@
+	dh $@
 
 override_dh_installman:
 	dh_installman debmirror.1

## debmirror 2.4.6ubuntu1

=== debian/changelog ===
debmirror (1:2.4.6ubuntu1) natty; urgency=low

  [ Stefano Rivera ]
  * Merge from debian unstable.  Remaining changes:
    - debian/{control,rules}: add quilt for patch management.
    - Debian bug 455082:
      - default-settings.patch: change rsync defaults.
      - silence-errors.patch: throw away find errors.
      - functionalize.patch: prepare for batching of non-deb files.
      - drop-redundant-rsync.patch: clean up logic in rsync batching.
      - check_file-return.patch: report why a file needs to sync.
      - command-exit-checking.patch: check exit codes of commands.
    - skip-installer.patch: allow specific releases to be skipped (Debian
      bug 576576).
    - rsync-retries.patch: retry if rsync batch fails connection (Debian
      bug 576577).

  [ Francisco Javier P.L. ]
  * ubuntu-settings.patch: Changed defaults to download Ubuntu (LP: #64345),
    replaced most instances of Debian with Ubuntu in the documentation.
    Changed examples to be more Ubuntu relevent, patch thanks to Karl Goetz.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 05 Nov 2010 22:05:40 +0200

debmirror (1:2.4.6) unstable; urgency=low

  * New maintainer. Frans, we'll miss you.
    Closes: #595690
  * Moved to git; grafted in debmirror's original development
    history from my home directory. Closes: #594976
  * Fix filename of mirror_size file in man page. Closes: #594975

 -- Joey Hess <joeyh@debian.org>  Sun, 05 Sep 2010 18:54:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Frans Pop <fjp@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
-Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/debmirror/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debmirror/trunk/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper (>= 7.0.50), quilt (>> 0.48-1)
+Standards-Version: 3.9.1
+Vcs-Git: git://git.debian.org/collab-maint/debmirror.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/debmirror.git
 
 Package: debmirror
 Architecture: all

## debmirror 2.9

=== debian/changelog ===
debmirror (1:2.9) unstable; urgency=low

  * Use Net::INET6Glue to support making ipv6 connections. Closes: #631302
  * Avoid sanity check for empty mirror, to allow mirroring an empty mirror
    if this is the first time debmirror is run. Closes: #635723
    Thanks, Stefan Kisdaroczi

 -- Joey Hess <joeyh@debian.org>  Thu, 28 Jul 2011 14:57:36 +0200

debmirror (1:2.8) unstable; urgency=low

  * Avoid trying to get d-i for *-updates suites. Closes: #619146

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Mar 2011 13:03:45 -0400

debmirror (1:2.7) unstable; urgency=high

  * Version dep on LWP. Closes: #614594
  * Fix typo in d-i download code. Closes: #614620

 -- Joey Hess <joeyh@debian.org>  Tue, 22 Feb 2011 13:54:12 -0400

debmirror (1:2.6) unstable; urgency=high

  * In Release, Packages, and Sources files, support all sizes of SHA
    checksums that are supported by Digest::SHA. Closes: #614383
  * Now depends on libdigest-sha-perl.
  * Check SHA512, SHA256, or SHA1 in preference to MD5.
  * Full checksum validation is now enabled by the --checksums switch.
    (The old --md5sums switch is an alias to that for backwards compatibility.)

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2011 19:28:07 -0400

debmirror (1:2.5) unstable; urgency=low

  * Clean up output messages.
  * Apply program return code checking patch by Kees Cook.
  * Allow umask to control directory permissions in mkdir. Closes: #589397
  * Add --slow-cpu option that avoids bzipping and gzipping files.
    Closes: #594948
  * Various code cleanups.
  * Deprecate --cleanup, which had become confusing since --postcleanup
    is the default, and add --precleanup.
  * Add --check-gpg (the default) and --no-check-gpg options.
  * Added a warning message if rsync of extra files fails.
  * Default to --rsync-extra=trace, and warn if --rsync-extra setting
    disables trace.
  * Above will ensure that debmirror at least tries
    to get trace files by default, and warns if it cannot. Closes: #156564
  * Avoid getting rsync-extra files if the site being mirrored
    has --root=/ , as that cannot work with rsync.
  * A proxy specified with --proxy or ftp_proxy will now also be used
    for ftp connections.
  * Deprecate --method=hftp, just use --proxy with --method=ftp.
  * Run rsync with --no-motd except for in --verbose mode.
  * Support --progress for http. (Per #598382)
  * Apply manpage markup patch from liw. Closes: #599414
  * Fix typo in default rsync options. Closes: #599568
  * Add --debmarshal snapshot mode by Drake Diedrich. Closes: #550007
  * Send verbose/debug mode gpgv error messages to stdout. Closes: #607099

 -- Joey Hess <joeyh@debian.org>  Sat, 05 Feb 2011 12:40:14 -0400

## debmirror 2.9ubuntu1

=== debian/changelog ===
debmirror (1:2.9ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - Debian bug 576577:
      + rsync-retries.patch: retry if rsync batch fails connection.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 10 Aug 2011 17:44:50 +0200

debmirror (1:2.8ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - Debian bug 576577:
      + rsync-retries.patch: retry if rsync batch fails connection.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.
  * Dropped patches:
    - no-motd changes from default-settings.patch, superseded in Debian.
    - functionalize.patch: Accepted in Debian.
    - command-exit-checking.patch: Accepted in Debian.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sun, 05 Jun 2011 22:00:27 +0200

## debmirror 2.10

=== debian/changelog ===
debmirror (1:2.10) unstable; urgency=low

  * Fix skipping d-i for suites that do not include it. Closes: #636627
    Thanks, Stefan Kisdaroczi
  * Allow mirroring d-i on kfreebsd-*; skip it for arch 'all'. Closes: #637457
    Thanks, Stefan Kisdaroczi

 -- Joey Hess <joeyh@debian.org>  Mon, 31 Oct 2011 10:44:07 -0400

=== debian/control ===
Source: debmirror
Section: net
Priority: extra
Maintainer: Joey Hess <joeyh@debian.org>
Build-Depends: debhelper (>= 7.0.50)
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/collab-maint/debmirror.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/debmirror.git

Package: debmirror
Architecture: all
Depends: ${misc:Depends}, perl (>= 5.10), libnet-perl, libdigest-md5-perl,
	libdigest-sha-perl, liblockfile-simple-perl, rsync,
	libcompress-zlib-perl, bzip2, libwww-perl (>= 5.815),
	libnet-inet6glue-perl
Recommends: gpgv, patch, ed
Suggests: gnupg
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

## debmirror 2.10ubuntu1

=== debian/changelog ===
debmirror (1:2.10ubuntu1) precise; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - Debian bug 576577:
      + rsync-retries.patch: retry if rsync batch fails connection.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.
  * Refreshed patches.
  * Slimmed down skip-installer.patch, largely superseded thanks to Debian bug
    636627.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 12 Nov 2011 16:23:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper (>= 7.0.50), quilt (>> 0.48-1)
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/collab-maint/debmirror.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/debmirror.git

## debmirror 2.10ubuntu1.2

=== debian/changelog ===
debmirror (1:2.10ubuntu1.2) precise; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 19 Jun 2013 15:06:18 -0600

debmirror (1:2.10ubuntu1.1) precise; urgency=low

  * origin-canonical.patch: Resolve issue of not being able to mirror apt
    archives with the Release file set as "Origin: Canonical", by adding
    additional special case. Patch courtesy of Tal Danzig. (LP: #1174797)

 -- David Medberry <david.medberry@canonical.com>  Tue, 30 Apr 2013 15:55:53 +0000

## debmirror 2.11

=== debian/changelog ===
debmirror (1:2.11) unstable; urgency=low

  * Two fixes to output. Closes: #647562 Thanks, Karl Goetz
  * Support HTTP authentication by setting --user and --password.
    Closes: #650743 Thanks, Eshat Cakar
  * --timeout now also affects http and ftp download.
    Closes: #662694 Thanks, Christoph Goehre
  * Remove libcompress-zlib-perl from Depends, this is now provided by perl.

 -- Joey Hess <joeyh@debian.org>  Mon, 05 Mar 2012 17:05:29 -0400

## debmirror 2.14~bpo60+1

=== debian/changelog ===
debmirror (1:2.14~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Clint Adams <clint@debian.org>  Tue, 25 Sep 2012 12:28:23 -0400

debmirror (1:2.14) unstable; urgency=low

  * Add --config-file option.
    Closes: #638295. Thanks, Stefan Kisdaroczi and Matthias Schmitz.
  * Do not crash on i18n/Index with --debmarshal
    Closes: #676219. Thanks, Frank Luithle

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Jun 2012 19:29:31 -0400

debmirror (1:2.13) unstable; urgency=low

  * Fix mirroring of Translation files for suites (currently contrib and
    non-free) for which there are no i18n Index files. Use information
    from Release files instead.
    Closes: #673444, #644609. Thanks, Joris Dolderer

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Jun 2012 14:33:41 -0400

debmirror (1:2.12) unstable; urgency=low

  * Always mirror the English "translations" necessary to have any
    package long descriptions at all, even if --i18n is not enabled.
    (Unless disabled via --exclude.)
  * Make i18n/Index parsing not fail if there are non-SHA1 checksums.
    Although currently only SHA1 is supported here. Closes: #644609

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Apr 2012 12:19:34 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: debhelper (>= 7.0.50), quilt (>> 0.48-1)
-Standards-Version: 3.9.1
+Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper (>= 7.0.50)
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/debmirror.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/debmirror.git
 
@@ -12,7 +11,7 @@
 Architecture: all
 Depends: ${misc:Depends}, perl (>= 5.10), libnet-perl, libdigest-md5-perl,
 	libdigest-sha-perl, liblockfile-simple-perl, rsync,
-	libcompress-zlib-perl, bzip2, libwww-perl (>= 5.815),
+	bzip2, libwww-perl (>= 5.815),
 	libnet-inet6glue-perl
 Recommends: gpgv, patch, ed
 Suggests: gnupg

## debmirror 2.14ubuntu1

=== debian/changelog ===
debmirror (1:2.14ubuntu1) quantal; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - Debian bug 576577:
      + rsync-retries.patch: retry if rsync batch fails connection.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.
  * Refreshed patches.

 -- Stefano Rivera <stefanor@ubuntu.com>  Sat, 30 Jun 2012 23:01:27 +0200

debmirror (1:2.12ubuntu1) quantal; urgency=low

  * Merge from Debian testing. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - Debian bug 576577:
      + rsync-retries.patch: retry if rsync batch fails connection.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.
  * Refreshed patches.
  * Updated ubuntu-settings.patch to default to precise.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 04 May 2012 23:52:36 +0200

## debmirror 2.14ubuntu1.3

=== debian/changelog ===
debmirror (1:2.14ubuntu1.3) quantal; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 01:29:08 -0600

debmirror (1:2.14ubuntu1.1) quantal; urgency=low

  * origin-canonical.patch: Resolve issue of not being able to mirror apt
    archives with the Release file set as "Origin: Canonical", by adding
    additional special case. Patch courtesy of Tal Danzig. (LP: #1174797)

 -- David Medberry <david.medberry@canonical.com>  Tue, 30 Apr 2013 15:55:53 +0000

## debmirror 2.15ubuntu2

=== debian/changelog ===
debmirror (1:2.15ubuntu2) saucy; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Jul 2013 01:32:31 -0600

debmirror (1:2.15ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - Debian bug 576577:
      + rsync-retries.patch: retry if rsync batch fails connection.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.
  * Rebase patches, and drop origin-canonical.patch, included upstream.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 07 May 2013 16:15:24 -0600

debmirror (1:2.15) unstable; urgency=low

  * Improved interface to gpgv. Thanks, Tom Jones.
  * Add --keyring option. Thanks, Tom Jones.
  * Add --exclude-field and --include-field options.
    Closes: #695767. Thanks, Colin Watson
  * Supports https. Closes: #697687 Thanks, Fernando Ike
  * Treat "Origin: Canonical" like "Origin: Ubuntu"
    Closes: #702319. Thanks, Tal Danzig

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:44:27 -0400

debmirror (1:2.14ubuntu1.2) raring; urgency=low

  * origin-canonical.patch: Resolve issue of not being able to mirror apt
    archives with the Release file set as "Origin: Canonical", by adding
    additional special case. Patch courtesy of Tal Danzig. (LP: #1174797)

 -- David Medberry <david.medberry@canonical.com>  Tue, 30 Apr 2013 15:55:53 +0000

## debmirror 2.16~deb7u1

=== debian/changelog ===
debmirror (1:2.16~deb7u1) oldstable; urgency=low

  * Upload for wheezy. Closes: #749734.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 May 2015 19:26:16 +0200

debmirror (1:2.16) unstable; urgency=low

  * Fix confusing output with --precleanup.
    Closes: #708355
  * Support new Contents file location used for wheezy, while still
    handling the old location.
    Closes: #637442 Thanks, Christoph Pleger

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Aug 2013 12:41:03 -0400

## debmirror 2.16ubuntu1

=== debian/changelog ===
debmirror (1:2.16ubuntu1) trusty; urgency=low

  * debian/patches/skip-installer.patch: Don't skip -updates when mirroring
    debian-installer components, as we publish d-i to updates (LP: #1034679)
  * Merge from Debian unstable. Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - Debian bug 576577:
      + rsync-retries.patch: retry if rsync batch fails connection.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.
  * Rebase patches, and drop origin-canonical.patch, included upstream.

 -- Matthew Fischer <matthew.fischer@ubuntu.com>  Tue, 19 Nov 2013 19:31:48 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Joey Hess <joeyh@debian.org>
-Build-Depends: debhelper (>= 7.0.50)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Build-Depends: debhelper (>= 7.0.50), quilt (>> 0.48-1)
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/collab-maint/debmirror.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/debmirror.git

## debmirror 2.16ubuntu1.1

=== debian/changelog ===
debmirror (1:2.16ubuntu1.1) trusty; urgency=medium

  * Download Translation-*.gz in addition to Translation-*.bz2. Launchpad
    replaces bz2 with xz from xenial. (LP: #1565585)

 -- William Grant <wgrant@ubuntu.com>  Mon, 04 Apr 2016 14:56:40 +1000

## debmirror 2.16+deb8u1

=== debian/changelog ===
debmirror (1:2.16+deb8u1) jessie; urgency=medium

  * Tolerate unknown lines in *.diff/Index (closes: #808216, #815149).
  * Mirror DEP-11 metadata files (closes: #814416).
  * Prefer xz over gz, and cope with either being missing as long as we can
    get some version of the index file in question.
  * Use check_lists to check Translation files rather than a similar custom
    function; this allows use of stronger hashes.
  * Mirror and validate InRelease files (closes: #619188).

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Dec 2017 14:32:24 +0000

## debmirror 2.25

=== debian/changelog ===
debmirror (1:2.25) unstable; urgency=medium

  * Add enough build-dependencies to be able to run the syntax check
    (closes: #819489).

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Mar 2016 14:16:50 +0100

debmirror (1:2.24) unstable; urgency=medium

  * Fix embarrassing syntax error introduced in 1:2.23 (LP: #1562827).
    Never upload in a rush ...
  * Add basic syntax check at build time to prevent this kind of foolish
    mistake in future.

 -- Colin Watson <cjwatson@debian.org>  Tue, 29 Mar 2016 10:44:31 +0100

debmirror (1:2.23) unstable; urgency=medium

  * Fix incorrect handling of existing uncompressed index files under .temp
    (LP: #1562118).

 -- Colin Watson <cjwatson@debian.org>  Sat, 26 Mar 2016 19:01:20 +0000

debmirror (1:2.22) unstable; urgency=medium

  * Fix regression in 1:2.20 that broke mirroring of suites that have
    Release.gpg but not InRelease.

 -- Colin Watson <cjwatson@debian.org>  Thu, 17 Mar 2016 13:20:36 +0000

debmirror (1:2.21) unstable; urgency=medium

  * Generate trace file using LC_ALL=C (closes: #817721).
  * Prefer xz over gz, and cope with either being missing as long as we can
    get some version of the index file in question.
  * Use check_lists to check Translation files rather than a similar custom
    function; this allows use of stronger hashes.

 -- Colin Watson <cjwatson@debian.org>  Thu, 17 Mar 2016 12:26:18 +0000

debmirror (1:2.20) unstable; urgency=medium

  * Convert to source format 3.0 (native).
  * Fix a few spelling/grammar mistakes, some reported by Lintian.
  * Mirror and validate InRelease files (closes: #619188).
  * Mirror DEP-11 metadata files (closes: #814416).

 -- Colin Watson <cjwatson@debian.org>  Wed, 24 Feb 2016 07:19:30 +0000

debmirror (1:2.19) unstable; urgency=medium

  * New maintainer (closes: #813998).
  * Use HTTPS for Vcs-* URLs, and link to cgit rather than gitweb.
  * Tolerate unknown lines in *.diff/Index (closes: #808216).
  * Only use Net::INET6Glue for Perl < 5.22, since the relevant modules in
    core support IPv6 after that point (closes: #811020).

 -- Colin Watson <cjwatson@debian.org>  Sun, 07 Feb 2016 14:06:29 +0000

debmirror (1:2.18+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for xz-compressed index files. Closes: #737057

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 18 Nov 2015 16:48:13 +0100

debmirror (1:2.18) unstable; urgency=low

  * New maintainer, on a trial basis. We'll see how it goes. Thanks,
    Joey, for four years recently filling the gap; and earlier, for
    giving us the software in the first place. Joerg, Goswin, your work
    is appreciated (see? it continues to be used). Frans, we still
    miss you.
    Closes: #768532
  * Somewhat refactored the code that distinguishes between
    download methods.
  * Implemented the option --method=file, which -- besides being useful
    in its own right -- may also make testing and debugging easier.
  * In the unpacked source, implemented "make -C test", which builds
    a small, mock Debian archive against which one can test and debug
    the program.
    Closes: #787760
  * Applied Kees Cook's patch to add a retry cycle for rsync
    connection failures, implementing the cycle optionally via the
    new, experimental --retry-rsync-packages option.
    Closes: #576577
  * Per Joey's advice, did not apply patch 619363 regarding
    the --ignore-missing-release option.
    Closes: #619363
  * Appreciated patch 628779 to work around an out-of-sync parent
    mirror, but did not apply it.  Joey explains why in the bug log.
    Closes: #628779
  * Noted per Goswin's advice that the Debian archive ceased to ship
    uncompressed Packages files about 2006.  Whatever trouble debmirror
    might once have had with the 2006 transition is ancient history
    now, so if a bug remains thereto, it probably affects no one and
    won't be fixed.
    Closes: #375381
  * Did not yet fix bug #652138.  However, refactored the code that
    downloads Contents files, with the intent to make this bug
    easier later to fix.
  * In the debmirror script, as a matter of the new maintainer's
    preference, expanded all leading tabs as spaces.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 13 Jun 2015 00:00:00 -0000

debmirror (1:2.17) unstable; urgency=medium

  * Debmirror needs a new maintainer, both in Debian and upstream.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 17:28:02 -0400

=== debian/control ===
Source: debmirror
Section: net
Priority: extra
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
Standards-Version: 3.9.6
Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmirror.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmirror.git

Package: debmirror
Architecture: all
Depends: ${misc:Depends}, perl (>= 5.10), libnet-perl, libdigest-md5-perl,
	libdigest-sha-perl, liblockfile-simple-perl, rsync,
	bzip2, libwww-perl (>= 5.815),
	perl (>= 5.22) | libnet-inet6glue-perl
Recommends: gpgv, patch, ed
Suggests: gnupg
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

## debmirror 2.25ubuntu2

=== Makefile ===
.PHONY: clean

all: debmirror.1

check:
	perl -cw debmirror

debmirror.1:
	pod2man debmirror >$@

clean:
	rm -f debmirror.1
	$(MAKE) -C test $@

=== test/Makefile ===
#!/usr/bin/make -f
SHELL:=/bin/bash
.PHONY: FORCE clean
debian: FORCE; @script/build-mock-archive
clean:; rm -rf debian

=== debian/changelog ===
debmirror (1:2.25ubuntu2) xenial; urgency=medium

  * Download Translation-*.gz/xz in addition to Translation-*.bz2. Launchpad
    replaces bz2 with xz from xenial. (LP: #1565585)

 -- William Grant <wgrant@ubuntu.com>  Tue, 05 Apr 2016 15:17:59 +1000

debmirror (1:2.25ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2016 14:19:09 +0100

debmirror (1:2.24ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Mar 2016 10:49:13 +0100

debmirror (1:2.23ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 27 Mar 2016 12:19:36 +0100

debmirror (1:2.22ubuntu1) xenial; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Mar 2016 13:23:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl, quilt (>> 0.48-1)
 Standards-Version: 3.9.6
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmirror.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmirror.git

## debmirror 2.26

=== debian/changelog ===
debmirror (1:2.26) unstable; urgency=medium

  [ William Grant ]
  * Download Translation-*.gz/xz in addition to Translation-*.bz2. Launchpad
    replaces bz2 with xz from xenial. (LP: #1565585)

  [ Colin Watson ]
  * Policy version 3.9.8; no changes required.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 Jan 2017 12:54:17 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl, quilt (>> 0.48-1)
-Standards-Version: 3.9.6
+Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmirror.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmirror.git

## debmirror 2.27ubuntu1

=== debian/changelog ===
debmirror (1:2.27ubuntu1) artful; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - debian/{control,rules}: Add quilt for patch management.
    - Debian bug 455082:
      + default-settings.patch: change rsync defaults.
      + silence-errors.patch: throw away find errors.
      + drop-redundant-rsync.patch: clean up logic in rsync batching.
      + check_file-return.patch: report why a file needs to sync.
    - Debian bug 576576:
      + skip-installer.patch: allow specific releases to be skipped.
    - ubuntu-settings.patch: Changed defaults to download Ubuntu, replaced
      most instances of Debian with Ubuntu in the documentation.

 -- William Grant <wgrant@ubuntu.com>  Sat, 22 Jul 2017 11:09:37 +1000

debmirror (1:2.27) unstable; urgency=medium

  * Fix typo in "Verifying checksums" message (closes: #856163).
  * During the cleanup phase, remove local copies of files that could not be
    downloaded; for example, this ensures that a local InRelease file is
    removed when it has been removed from the remote host (closes: #866238).

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Jul 2017 20:49:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: debmirror
 Section: net
 Priority: extra
-Maintainer: Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Colin Watson <cjwatson@debian.org>
+Build-Depends: debhelper (>= 7.0.50), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl, quilt (>> 0.48-1)
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/debmirror.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/debmirror.git

## debmirror 2.27ubuntu2.20.04.1

=== debian/changelog ===
debmirror (1:2.27ubuntu2.20.04.1) focal; urgency=medium

  * Cherry-pick upstream command-not-found changes (version 1:2.32).

  [ Jamie Strandboge ]
  * Support downloading command-not-found metadata (LP: #1821251).

 -- Valters Jansons <valter.jansons@gmail.com>  Wed, 02 Dec 2020 18:36:09 +0200

## debmirror 2.27ubuntu2.20.10.1

=== debian/changelog ===
debmirror (1:2.27ubuntu2.20.10.1) groovy; urgency=medium

  * Cherry-pick upstream command-not-found changes (version 1:2.32).

  [ Jamie Strandboge ]
  * Support downloading command-not-found metadata (LP: #1821251).

 -- Valters Jansons <valter.jansons@gmail.com>  Wed, 02 Dec 2020 18:36:09 +0200

## debmirror 2.30~bpo9+1

=== debian/changelog ===
debmirror (1:2.30~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Colin Watson <cjwatson@debian.org>  Thu, 23 Aug 2018 09:44:47 +0100

debmirror (1:2.30) unstable; urgency=medium

  * Make the error message when mkdir fails more helpful.
  * Restart partial HTTP downloads (closes: #629922).
  * Use /usr/share/dpkg/pkg-info.mk rather than equivalent hand-written
    code.
  * Upgrade to debhelper v9.

 -- Colin Watson <cjwatson@debian.org>  Mon, 06 Aug 2018 10:07:54 +0100

debmirror (1:2.29) unstable; urgency=medium

  [ Stefan Kisdaroczi ]
  * Add version string and --version option.
  * Add additional trace info (closes: #863194).

  [ Colin Watson ]
  * Automatically update $version at binary package build time.

 -- Colin Watson <cjwatson@debian.org>  Sun, 11 Feb 2018 22:54:20 +0000

debmirror (1:2.28) unstable; urgency=medium

  * Change priority to optional, since "Priority: extra" is now deprecated.
  * Move VCS to salsa.debian.org.
  * Fix use of uninitialised value $buf in name_release.
  * Depend on xz-utils (LP: #1614779); xz is needed for all suites that
    publish .xz but not uncompressed index files, or .gz but not .xz without
    --slow-cpu, so I think that's common enough to rise above the level of a
    Recommends.
  * Always use "exists $file_lists{foo}{size}" rather than just "exists
    $file_lists{foo}".  The latter can return false positives due to
    autovivification (closes: #868675).

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Jan 2018 13:32:49 +0000

## debmirror 2.31~bpo9+1

=== debian/changelog ===
debmirror (1:2.31~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Colin Watson <cjwatson@debian.org>  Sat, 02 Feb 2019 09:55:40 +0000

debmirror (1:2.31) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Colin Watson ]
  * Fetch Packages-all and Contents-all if they exist (closes: #904927).
  * Fix mirroring of suites that have InRelease but not Release.gpg.
  * Improve GPG verification: accept a signature file as long as there's at
    least one good signature from a trusted key, and borrow code from APT to
    explicitly verify the structure of InRelease files (closes: #918304).

 -- Colin Watson <cjwatson@debian.org>  Mon, 28 Jan 2019 11:41:12 +0000

## debmirror 2.32

=== debian/changelog ===
debmirror (1:2.32) unstable; urgency=medium

  [ Jamie Strandboge ]
  * Support downloading command-not-found metadata (LP: #1821251).

 -- Colin Watson <cjwatson@debian.org>  Sat, 23 Mar 2019 10:40:44 +0000

=== debian/control ===
Source: debmirror
Section: net
Priority: optional
Maintainer: Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 9~), perl (>= 5.10), libnet-perl, libdigest-md5-perl, libdigest-sha-perl, liblockfile-simple-perl, libwww-perl (>= 5.815), perl (>= 5.22) | libnet-inet6glue-perl
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/debian/debmirror.git
Vcs-Browser: https://salsa.debian.org/debian/debmirror

Package: debmirror
Architecture: all
Depends: ${misc:Depends}, perl (>= 5.10), libnet-perl, libdigest-md5-perl,
	libdigest-sha-perl, liblockfile-simple-perl, rsync,
	bzip2, libwww-perl (>= 5.815),
	perl (>= 5.22) | libnet-inet6glue-perl,
	xz-utils
Recommends: gpgv, patch, ed
Suggests: gnupg
Description: Debian partial mirror script, with ftp and package pool support
 This program downloads and maintains a partial local Debian mirror.
 It can mirror any combination of architectures, distributions and
 sections. Files are transferred by ftp, http, hftp or rsync, and package
 pools are fully supported. It also does locking and updates trace files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install
	sed -i 's/^\(our \$$version=\).*/\1"$(DEB_VERSION)";/' \
		debian/debmirror/usr/bin/debmirror
